## List Products

### cURL

```
curl --request GET \
  --url https://api.m3ter.com/organizations/{orgId}/products \
  --header 'Authorization: Bearer <token>'
```

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

### Status Codes

**200**

**4XX**

**5XX**

```
{
  "data": [
    {
      "id": "<string>",
      "version": 123,
      "customFields": {},
      "name": "<string>",
      "code": "<string>",
      "dtCreated": "2023-11-07T05:31:56Z",
      "dtLastModified": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "lastModifiedBy": "<string>"
    }
  ],
  "nextToken": "<string>"
}
```

```
{
  "message": "<string>"
}
```

```
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**
- Type: string
- Location: header
- Required: Yes
- Description: m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow. The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

**orgId**
- Type: string
- Required: Yes
- Description: The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

### Query Parameters

**pageSize**
- Type: integer<int32>
- Description: Specifies the maximum number of Products to retrieve per page. Required range: `1 <= x <= 200`

**nextToken**
- Type: string
- Description: The `nextToken` for multi-page retrievals. It is used to fetch the next page of Products in a paginated list.

**ids**
- Type: string[]
- Description: List of specific Product UUIDs to retrieve.

### Response

**200**
- Content-Type: application/json
- Returns the list of requested Products

**data**
- Type: object[]
- Description: Showchild attributes

**nextToken**
- Type: string
